package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.PracticeGroup;
import com.ym.mec.biz.dal.enums.SignInStatusEnum;
import com.ym.mec.biz.dal.enums.SignOutStatusEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/12/27
 */
public class CourseScheduleEndDto extends CourseSchedule {

    private String groupName;

    private String teacherName;

    private String subjectName;

    private String organName;

    private String remark;

    private int isSignIn = 3;

    private int isSignOut = 3;

    private SignInStatusEnum signInStatusEnum;

    private SignOutStatusEnum signOutStatusEnum;

    private YesOrNoEnum isCallNames;

    private Date signInTime;

    private Date signOutTime;

    private String studentId;

    private String settlementTime;

    private PracticeGroup practiceGroup;
    
    private String isComplaints;

    private boolean beMerged;

    public boolean getBeMerged() {
        return beMerged;
    }

    public void setBeMerged(boolean beMerged) {
        this.beMerged = beMerged;
    }

    public PracticeGroup getPracticeGroup() {
        return practiceGroup;
    }

    public void setPracticeGroup(PracticeGroup practiceGroup) {
        this.practiceGroup = practiceGroup;
    }

    public String getSettlementTime() {
        return settlementTime;
    }

    public void setSettlementTime(String settlementTime) {
        this.settlementTime = settlementTime;
    }

    public SignInStatusEnum getSignInStatusEnum() {
        return signInStatusEnum;
    }

    public void setSignInStatusEnum(SignInStatusEnum signInStatusEnum) {
        this.signInStatusEnum = signInStatusEnum;
    }

    public SignOutStatusEnum getSignOutStatusEnum() {
        return signOutStatusEnum;
    }

    public void setSignOutStatusEnum(SignOutStatusEnum signOutStatusEnum) {
        this.signOutStatusEnum = signOutStatusEnum;
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(Date signInTime) {
        this.signInTime = signInTime;
    }

    public Date getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(Date signOutTime) {
        this.signOutTime = signOutTime;
    }

    public int getIsSignIn() {
        return isSignIn;
    }

    public void setIsSignIn(int isSignIn) {
        this.isSignIn = isSignIn;
    }

    public int getIsSignOut() {
        return isSignOut;
    }

    public void setIsSignOut(int isSignOut) {
        this.isSignOut = isSignOut;
    }

    public YesOrNoEnum getIsCallNames() {
        return isCallNames;
    }

    public void setIsCallNames(YesOrNoEnum isCallNames) {
        this.isCallNames = isCallNames;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

	public String getIsComplaints() {
		return isComplaints;
	}

	public void setIsComplaints(String isComplaints) {
		this.isComplaints = isComplaints;
	}
}
